Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001002KdenliveUser Interfacepublic2009-07-04 20:082010-02-02 10:38
Reporterleandroferra 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.5 
Target VersionFixed in Version0.7.6 
Summary0001002: error when use o lot effect
Description
I was testing the effects that would have to know what the kyeframe and some have the program quit unexpectedly, safe chroma, color sitance, clustering, these are what have always problem.
Additional InformationApplication that crashed: kdenlive
Version of the application: 0.7.5
KDE Version: 4.2.95 (KDE 4.2.95 (KDE 4.3 RC1))
Qt Version: 4.5.0
Operating System: Linux 2.6.28-13-generic x86_64
Distribution: Ubuntu 9.04

What I was doing when the application crashed:
<In detail, tell us what you were doing when the application crashed.>

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 0 (LWP 11864)]

Thread 3 (Thread 0x7f011de42950 (LWP 11884)):
#0 __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:91
#1 0x00007f0139eab025 in _L_lock_4783 () from /lib/libc.so.6
0000002 0x00007f0139ea726b in *__GI___libc_free (mem=0x7f013a19aa00) at malloc.c:3623
0000003 0x00007f0139e636ed in *__GI_exit (status=1) at exit.c:75
0000004 0x00007f01319de756 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
0000005 0x00007f013d5e3048 in KApplication::xioErrhandler (this=0x7fff462ac6f0, dpy=0x3e4a590) at /build/buildd/kde4libs-4.2.95/kdeui/kernel/kapplication.cpp:408
0000006 0x00007f0138df16e4 in _XIOError () from /usr/lib/libX11.so.6
0000007 0x00007f0138df8a1f in ?? () from /usr/lib/libX11.so.6
0000008 0x00007f0138df9345 in _XEventsQueued () from /usr/lib/libX11.so.6
0000009 0x00007f0138dd0f0a in XFlush () from /usr/lib/libX11.so.6
0000010 0x00007f0129d26688 in ?? () from /usr/lib/libSDL-1.2.so.0
0000011 0x00007f0129d1b281 in SDL_UpdateRect () from /usr/lib/libSDL-1.2.so.0
0000012 0x00007f0129d1b6dc in SDL_Flip () from /usr/lib/libSDL-1.2.so.0
0000013 0x00007f0129f89e05 in ?? () from /usr/lib/mlt/libmltsdl.so
0000014 0x00007f0139a143ba in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000015 0x00007f0139f12fcd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000016 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f011e643950 (LWP 11885)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1 0x00007f0129f88f3b in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f0139a143ba in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000003 0x00007f0139f12fcd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f013e26c750 (LWP 11864)):
[KCrash Handler]
0000005 _int_malloc (av=0x7f013a19aa00, bytes=2) at malloc.c:4202
0000006 0x00007f0139ea953f in __libc_calloc (n=<value optimized out>, elem_size=<value optimized out>) at malloc.c:3946
0000007 0x00007f013b8b1c58 in _hb_alloc (size=2, perror=0x7fff462a86d4) at ../3rdparty/harfbuzz/src/harfbuzz-impl.c:41
0000008 0x00007f013b8a228a in GSUB_Do_Glyph_Lookup (gsub=0x2d07090, lookup_index=<value optimized out>, buffer=0x2d1fcd0, context_length=65535, nesting_level=1)
    at ../3rdparty/harfbuzz/src/harfbuzz-gsub.c:3162
0000009 0x00007f013b8a3038 in HB_GSUB_Apply_String (gsub=0x2d07090, buffer=0x2d1fcd0) at ../3rdparty/harfbuzz/src/harfbuzz-gsub.c:4141
0000010 0x00007f013b8b563c in HB_OpenTypeShape (item=0x7fff462a8ad0, properties=0x0) at ../3rdparty/harfbuzz/src/harfbuzz-shaper.cpp:1147
0000011 0x00007f013b8ba87a in HB_BasicShape (shaper_item=0x7fff462a8ad0) at ../3rdparty/harfbuzz/src/harfbuzz-shaper.cpp:577
0000012 0x00007f013b8b45a4 in HB_ShapeItem (shaper_item=0x7f013a19aa00) at ../3rdparty/harfbuzz/src/harfbuzz-shaper.cpp:1308
0000013 0x00007f013ad5dd40 in QTextEngine::shapeTextWithHarfbuzz (this=0x4045680, item=0) at text/qtextengine.cpp:1222
0000014 0x00007f013ad5e663 in QTextEngine::shapeText (this=0x4045680, item=0) at text/qtextengine.cpp:874
0000015 0x00007f013ad5ea45 in QTextEngine::shape (this=0x4045680, item=0) at text/qtextengine.cpp:1344
0000016 0x00007f013ad662b0 in QTextLine::layout_helper (this=0x7fff462a9440, maxGlyphs=2147483647) at text/qtextlayout.cpp:1643
0000017 0x00007f013adff15c in QCommonStylePrivate::viewItemSize (this=<value optimized out>, option=<value optimized out>, role=<value optimized out>) at styles/qcommonstyle.cpp:1044
0000018 0x00007f013adff3f4 in QCommonStylePrivate::viewItemLayout (this=0x29d96d0, opt=0x7fff462a9780, checkRect=0x7fff462a95e0, pixmapRect=0x7fff462a9600, textRect=0x7fff462a95f0, sizehint=true)
    at styles/qcommonstyle.cpp:1163
0000019 0x00007f013adffda0 in QCommonStyle::sizeFromContents (this=0x29da7c0, ct=<value optimized out>, opt=0x7fff462a9780, csz=<value optimized out>, widget=0x3843f80) at styles/qcommonstyle.cpp:5055
0000020 0x00007f013d5f7707 in KStyle::sizeFromContents (this=0x29da7c0, type=QStyle::CT_RadioButton, option=0x7fff462a9780, contentsSize=@0x7fff462a9860, widget=0x3843f80)
    at /build/buildd/kde4libs-4.2.95/kdeui/kernel/kstyle.cpp:4325
0000021 0x00007f012dd0483e in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
0000022 0x00007f013b0df55d in QStyledItemDelegate::sizeHint (this=0x38446e0, option=@0x7fff462a9940, index=<value optimized out>) at itemviews/qstyleditemdelegate.cpp:445
0000023 0x00007f013b0588c1 in QListViewPrivate::itemSize (this=0x3841f60, option=@0x7fff462a9940, index=@0x7fff462a9c70) at itemviews/qlistview.cpp:2097
0000024 0x00007f013b058fa3 in QStaticListViewBase::indexToListViewItem (this=0x3844860, index=@0x7fff462a9c70) at ../../include/QtGui/private/../../../src/gui/itemviews/qlistview_p.h:433
0000025 0x00007f013b0591b2 in QListViewPrivate::indexToListViewItem (this=0x3841f60, index=@0x7fff462a9c70) at itemviews/qlistview.cpp:2029
0000026 0x00007f013b059643 in QListView::rectForIndex (this=0x3843f80, index=@0x7fff462a9c70) at itemviews/qlistview.cpp:1433
0000027 0x00007f013b05973c in QListView::visualRect (this=0x7f013a19aa00, index=@0x2) at itemviews/qlistview.cpp:576
0000028 0x00007f013b03b9c3 in QAbstractItemViewPrivate::sendDelegateEvent (this=0x3841f60, index=@0x3b64590, event=0x0) at itemviews/qabstractitemview.cpp:3826
0000029 0x00007f013b03bdd7 in QAbstractItemView::edit (this=0x3843f80, index=@0x3b64590, trigger=QAbstractItemView::CurrentChanged, event=0x0) at itemviews/qabstractitemview.cpp:2322
0000030 0x00007f013b037a41 in QAbstractItemView::currentChanged (this=0x3843f80, current=@0x3b64590, previous=<value optimized out>) at itemviews/qabstractitemview.cpp:3161
0000031 0x00007f013b039c4a in QAbstractItemView::qt_metacall (this=0x3843f80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff462aa040)
    at .moc/release-shared/moc_qabstractitemview.cpp:230
0000032 0x00007f013b169f85 in QListView::qt_metacall (this=0x7f013a19aa00, _c=QMetaObject::WriteProperty, _id=67161894, _a=0x7f013a19aa70) at .moc/release-shared/moc_qlistview.cpp:105
0000033 0x00007f013b16c0ca in QUndoView::qt_metacall (this=0x7f013a19aa00, _c=QMetaObject::WriteProperty, _id=67161894, _a=0x7f013a19aa70) at .moc/release-shared/moc_qundoview.cpp:68
0000034 0x00007f013b94b1f2 in QMetaObject::activate (sender=0x3844e10, from_signal_index=<value optimized out>, to_signal_index=5, argv=0x7f013a19aa70) at kernel/qobject.cpp:3069
0000035 0x00007f013b08528a in QItemSelectionModel::currentChanged (this=0x7f013a19aa00, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qitemselectionmodel.cpp:153
0000036 0x00007f013b0853d4 in QItemSelectionModel::setCurrentIndex (this=0x3844e10, index=<value optimized out>, command={i = 1177198960}) at itemviews/qitemselectionmodel.cpp:1123
0000037 0x00007f013b15e05a in QUndoModel::stackChanged (this=0x38446a0) at util/qundoview.cpp:146
0000038 0x00007f013b15e3a0 in QUndoModel::qt_metacall (this=0x38446a0, _c=QMetaObject::InvokeMetaMethod, _id=65536, _a=0x7fff462aa2b0) at .moc/release-shared/qundoview.moc:71
0000039 0x00007f013b94b1f2 in QMetaObject::activate (sender=0x38d62a0, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x7f013a19aa70) at kernel/qobject.cpp:3069
0000040 0x00007f013b16bc2e in QUndoStack::indexChanged (this=0x7f013a19aa00, _t1=4) at .moc/release-shared/moc_qundostack.cpp:143
0000041 0x00007f013b15cd19 in QUndoStackPrivate::setIndex (this=0x395c070, idx=65536, clean=false) at util/qundostack.cpp:401
0000042 0x00007f013b15d717 in QUndoStack::push (this=0x38d62a0, cmd=0x3fd9cf0) at util/qundostack.cpp:581
0000043 0x00000000004c36d6 in CustomTrackView::slotUpdateClipEffect (this=0x3973aa0, clip=<value optimized out>, oldeffect=<value optimized out>, effect=
        {<QDomNode> = {impl = 0x7fff462aa570}, <No data fields>}, ix=0) at /build/buildd/kdenlive-0.7.5/src/customtrackview.cpp:1455
0000044 0x00000000004e20f4 in CustomTrackView::qt_metacall (this=0x3973aa0, _c=<value optimized out>, _id=<value optimized out>, _a=0x7fff462aa6d0)
    at /build/buildd/kdenlive-0.7.5/obj-x86_64-linux-gnu/src/cmake_bindir/customtrackview.moc:198
0000045 0x00007f013b94b1f2 in QMetaObject::activate (sender=0x2d29540, from_signal_index=<value optimized out>, to_signal_index=29, argv=0x7f013a19aa70) at kernel/qobject.cpp:3069
0000046 0x000000000052cab9 in EffectStackView::updateClipEffect (this=0x7f013a19aa00, _t1=0x3b24bd0, _t2=<value optimized out>, _t3=<value optimized out>, _t4=47217952)
    at /build/buildd/kdenlive-0.7.5/obj-x86_64-linux-gnu/src/cmake_bindir/effectstackview.moc:138
0000047 0x000000000052ccef in EffectStackView::slotUpdateEffectParams (this=0x2d29540, old=@0x7fff462aae80, e=<value optimized out>) at /build/buildd/kdenlive-0.7.5/src/effectstackview.cpp:127
0000048 0x000000000052ef78 in EffectStackView::qt_metacall (this=0x2d29540, _c=QMetaObject::InvokeMetaMethod, _id=65536, _a=0x7fff462aa8a0)
    at /build/buildd/kdenlive-0.7.5/obj-x86_64-linux-gnu/src/cmake_bindir/effectstackview.moc:105
0000049 0x00007f013b94b1f2 in QMetaObject::activate (sender=0x37a0e50, from_signal_index=<value optimized out>, to_signal_index=27, argv=0x7f013a19aa70) at kernel/qobject.cpp:3069
0000050 0x000000000043c475 in EffectStackEdit::parameterChanged (this=0x7f013a19aa00, _t1=<value optimized out>, _t2=<value optimized out>)
    at /build/buildd/kdenlive-0.7.5/obj-x86_64-linux-gnu/src/cmake_bindir/moc_effectstackedit.cpp:95
0000051 0x00000000005340bf in EffectStackEdit::collectAllParameters (this=0x37a0e50) at /build/buildd/kdenlive-0.7.5/src/effectstackedit.cpp:496
0000052 0x000000000043d368 in EffectStackEdit::qt_metacall (this=0x37a0e50, _c=QMetaObject::InvokeMetaMethod, _id=65536, _a=0x7fff462aafe0)
    at /build/buildd/kdenlive-0.7.5/obj-x86_64-linux-gnu/src/cmake_bindir/moc_effectstackedit.cpp:82
0000053 0x00007f013b94b1f2 in QMetaObject::activate (sender=0x4050640, from_signal_index=<value optimized out>, to_signal_index=27, argv=0x7f013a19aa70) at kernel/qobject.cpp:3069
0000054 0x00007f013b16484e in QAbstractSlider::valueChanged (this=0x7f013a19aa00, _t1=3) at .moc/release-shared/moc_qabstractslider.cpp:176
0000055 0x00007f013af63c2f in QSlider::mouseMoveEvent (this=0x4050640, ev=0x7fff462ab7f0) at widgets/qslider.cpp:524
0000056 0x00007f013ab70768 in QWidget::event (this=0x4050640, event=0x7fff462ab7f0) at kernel/qwidget.cpp:7501
0000057 0x00007f013ab1f78d in QApplicationPrivate::notify_helper (this=0x2756470, receiver=0x4050640, e=0x7fff462ab7f0) at kernel/qapplication.cpp:4084
#58 0x00007f013ab280da in QApplication::notify (this=<value optimized out>, receiver=0x4050640, e=0x7fff462ab7f0) at kernel/qapplication.cpp:3786
0000059 0x00007f013d5e362b in KApplication::notify (this=0x7fff462ac6f0, receiver=0x4050640, event=0x7fff462ab7f0) at /build/buildd/kde4libs-4.2.95/kdeui/kernel/kapplication.cpp:302
0000060 0x00007f013b93575c in QCoreApplication::notifyInternal (this=0x7fff462ac6f0, receiver=0x4050640, event=0x7fff462ab7f0) at kernel/qcoreapplication.cpp:602
0000061 0x00007f013ab27328 in QApplicationPrivate::sendMouseEvent (receiver=0x4050640, event=0x7fff462ab7f0, alienWidget=0x4050640, nativeWidget=0x2d76700, buttonDown=<value optimized out>,
    lastMouseReceiver=@0x7f013b583eb0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
0000062 0x00007f013ab90e19 in QETWidget::translateMouseEvent (this=0x2d76700, event=<value optimized out>) at kernel/qapplication_x11.cpp:4425
0000063 0x00007f013ab8fa88 in QApplication::x11ProcessEvent (this=0x7fff462ac6f0, event=0x7fff462ac330) at kernel/qapplication_x11.cpp:3543
0000064 0x00007f013abb8464 in x11EventSourceDispatch (s=0x275a0c0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
0000065 0x00007f0135b5220a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000066 0x00007f0135b558e0 in ?? () from /usr/lib/libglib-2.0.so.0
0000067 0x00007f0135b55a7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000068 0x00007f013b95ee6f in QEventDispatcherGlib::processEvents (this=0x273cf40, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:323
0000069 0x00007f013abb7bef in QGuiEventDispatcherGlib::processEvents (this=0x7f013a19aa00, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
0000070 0x00007f013b934002 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1177208352}) at kernel/qeventloop.cpp:149
0000071 0x00007f013b9343cd in QEventLoop::exec (this=0x7fff462ac660, flags={i = 1177208432}) at kernel/qeventloop.cpp:200
0000072 0x00007f013b936694 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
0000073 0x00000000004417f5 in main (argc=4, argv=0x7fff462acc08) at /build/buildd/kdenlive-0.7.5/src/main.cpp:89

Report to http://kdenlive.org/mantis [^]
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0004074)
j-b-m (administrator)
2009-10-05 20:10

Should be fixed in latest svn

- Issue History
Date Modified Username Field Change
2009-07-04 20:08 leandroferra New Issue
2009-07-04 20:08 leandroferra Build/Install Method => 3rd party package
2009-10-05 20:10 j-b-m Note Added: 0004074
2009-10-05 20:10 j-b-m Status new => resolved
2009-10-05 20:10 j-b-m Fixed in Version => Recent git
2009-10-05 20:10 j-b-m Resolution open => fixed
2009-10-05 20:10 j-b-m Assigned To => j-b-m
2009-10-08 20:20 j-b-m Fixed in Version Recent git => 0.7.6
2010-02-02 10:35 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker